# sk-home-content



<!-- Auto Generated Below -->


## Properties

| Property   | Attribute   | Description | Type      | Default     |
| ---------- | ----------- | ----------- | --------- | ----------- |
| `dataJson` | `data-json` |             | `string`  | `undefined` |
| `redraw`   | `redraw`    |             | `boolean` | `true`      |
| `visible`  | `visible`   |             | `boolean` | `true`      |


## Events

| Event             | Description | Type                |
| ----------------- | ----------- | ------------------- |
| `svgElementClick` |             | `CustomEvent<void>` |


## Methods

### `getElements() => Promise<any[]>`



#### Returns

Type: `Promise<any[]>`



### `hide(duration?: number, delay?: number, visible?: boolean) => Promise<void>`



#### Parameters

| Name       | Type      | Description |
| ---------- | --------- | ----------- |
| `duration` | `number`  |             |
| `delay`    | `number`  |             |
| `visible`  | `boolean` |             |

#### Returns

Type: `Promise<void>`



### `setData(data: any) => Promise<void>`



#### Parameters

| Name   | Type  | Description |
| ------ | ----- | ----------- |
| `data` | `any` |             |

#### Returns

Type: `Promise<void>`



### `show(duration?: number, delay?: number, display?: string) => Promise<void>`



#### Parameters

| Name       | Type     | Description |
| ---------- | -------- | ----------- |
| `duration` | `number` |             |
| `delay`    | `number` |             |
| `display`  | `string` |             |

#### Returns

Type: `Promise<void>`




----------------------------------------------

*Built with [StencilJS](https://stenciljs.com/)*
